machines:
  "1":
    series: trusty
  "2":
    series: trusty
services:
  apache2:
    charm: "cs:trusty/apache2-19"
    constraints: mem=2G
    num_units: 1
    to:
      - "1"
  "apache2-reverseproxy":
    charm: "cs:~abentley/trusty/apache2-reverseproxy-4"
    num_units: 0
  haproxy:
    series: trusty
    charm: "./trusty/haproxy"
    constraints: mem=2G
    num_units: 1
    to:
      - "2"
  "python-django":
    charm: "cs:trusty/python-django-19"
    num_units: 2
    options:
      django_allowed_hosts: ""
    to:
      - "lxd:2"
      - "lxd:2"
relations:
  - - "haproxy:reverseproxy"
    - "python-django:website"
  - - "apache2-reverseproxy:website"
    - "apache2:website"
  - - "apache2-reverseproxy:website"
    - "haproxy:website"
series: trusty
